SUMMARY: MODULE | CLASS | TYPE | PROC | VAR | CONST | DETAIL: TYPE | PROC | VAR | CONST

# URI:Scheme:CurrentDoc

### Import List

        Object
        Object
        RT0
        TextRider
        URI

Class List
CurrentDoc |

Class Summary: CurrentDoc [Detail]
      +---RT0.Object
           |
           +---Object.Object
                |
                +---URI.URI
                     |
                     +--URI:Scheme:CurrentDoc.CurrentDoc
Inherited Fields
From URI.URI: schemeId
Constructor Summary
Init(CurrentDoc)
New(): CurrentDoc
Method Summary
Clone(): URI Creates a deep copy of the URI referenced by uri.
Copy(URI) Copies contents of source uri to target dest.
ToString(): String8 Converts the URI uri to its string representation.
WriteXML(Writer) Writes an XML fragment describing the URI uri to the writer w.
Inherited Methods
From RT0.Object: Finalize From Object.Object: Equals, HashCode From URI.URI: AppendScheme, Clone, Copy, GetChannel, MakeRelative, SetSchemeId, ToString, WriteXML

Class Detail: CurrentDoc

Constructor Detail

### Init

    PROCEDURE Init(uri: CurrentDoc)

### New

    PROCEDURE New(): CurrentDoc

Method Detail

### Clone

    PROCEDURE (uri: CurrentDoc) Clone(): URI

> Creates a deep copy of the URI referenced by uri. That is, it creates a new instance of uri and calls URI.Copy on it.

> [Description inherited from Clone]

> Redefines: Clone

### Copy

    PROCEDURE (uri: CurrentDoc) Copy(dest: URI)

> Copies contents of source uri to target dest.

> Pre-condition: The dynamic type of dest is an extension of the dynamic type of uri.

> [Description inherited from Copy]

> Redefines: Copy

### ToString

    PROCEDURE (uri: CurrentDoc) ToString(): String8

> Converts the URI uri to its string representation. Reserved characters in the URI and characters that may not appear in a valid URI are escaped where necessary.

> [Description inherited from ToString]

> Redefines: ToString, ToString

### WriteXML

    PROCEDURE (uri: CurrentDoc) WriteXML(w: Writer)

> Writes an XML fragment describing the URI uri to the writer w.

> [Description inherited from WriteXML]

> Redefines: WriteXML